package com.iformall.controller;

import com.iformall.service.WxAppinfoService;
import com.iformall.service.WxProfitSharingOrderService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.github.pagehelper.PageInfo;
import com.iformall.common.Result;
import com.iformall.common.ResultData;

import com.iformall.domain.po.WxPayOrder;
import com.iformall.service.WxPayOrderService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("wxPayOrder")
public class WxPayOrderController extends BaseController {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Autowired
    private WxPayOrderService wxPayOrderService;

    @Autowired
    private WxProfitSharingOrderService xProfitSharingOrderService;

    @Autowired
    private WxAppinfoService wxAppinfoService;

	
	@ApiOperation("分页列表接口")
    @GetMapping("list")
        @ApiImplicitParams({
    	  @ApiImplicitParam(name="pageNum",value="页数",dataType="int", paramType = "query",required=true),
    	  @ApiImplicitParam(name="pageSize",value="每页条数",dataType="int", paramType = "query",required=true)})
    public ResultData list(@ModelAttribute WxPayOrder wxPayOrder,Integer pageNum, Integer pageSize) {
        logger.debug("[" + getIpAddr() + "] WxPayOrderController::list");
    	if (null == wxPayOrder) wxPayOrder = new WxPayOrder();
        final PageInfo<WxPayOrder> page = wxPayOrderService.listAsPage(wxPayOrder, pageNum, pageSize);
        return new ResultData(page);
    }

	@ApiOperation("新增接口")
    @PostMapping("add")
    public ResultData add(@RequestBody WxPayOrder wxPayOrder) {
        logger.debug("[" + getIpAddr() + "] WxPayOrderController::add");
        //Assert.notNull(wxPayOrder.getName(), "角色名不能为空");
        //Assert.isTrue(!checkUnique(sysRole.getName(), null), "重复的角色名");
        wxPayOrderService.saveOrUpdate(wxPayOrder);
        return new ResultData();
    }

    @ApiOperation("根据id更新接口")
    @PostMapping("update")
    public ResultData update(@RequestBody WxPayOrder wxPayOrder) {
        logger.debug("[" + getIpAddr() + "] WxPayOrderController::update");
        wxPayOrderService.saveOrUpdate(wxPayOrder);
        return new ResultData();
    }

    @ApiOperation("根据id删除接口")
    @GetMapping("/del")
    @ApiImplicitParam(name="id",value="id",dataType="Long", paramType = "query",required=true)
    public ResultData delete(Long id) {
        logger.debug("[" + getIpAddr() + "] WxPayOrderController::delete");
        wxPayOrderService.deleteById(id);
        return new ResultData(Result.SUCCESS, "删除成功", null);
    }
    
    @ApiOperation("根据id查询接口")
    @GetMapping("/findById")
    @ApiImplicitParam(name="id",value="id",dataType="Long", paramType = "query",required=true)
    public ResultData findById(Long id) {
	    logger.debug("[" + getIpAddr() + "] WxPayOrderController::findById");
	    return new ResultData(Result.SUCCESS,"查询成功",wxPayOrderService.getById(id));
    }
}
